{"openapi":"3.0.0","servers":[{"description":"AB Apartment Barcelona API","url":"https://api.apartmentbarcelona.com/api/v1/salesforce"}],"info":{"version":"1.0.0","title":"AB Salesforce API","contact":{"email":"webmaster@apartmentbarcelona.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/customer-list":{"post":{"requestBody":{"required":true,"description":"Priority filter:<br>1) CustomerEmail<br>2) Data updates (true: updates; false: other filters)<br>3) DateFrom-DateTo (max 31 days diff between them)<br> 4) Year and month","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomersBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of customers","security":[{"ApiKeyAuth":[]}],"operationId":"customer-list","description":"Get list of customers\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customers"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/lead-list":{"post":{"requestBody":{"required":true,"description":"Priority filter:<br>1) LeadEmail<br>2) Data updates (true: updates; false: other filters)<br>3) DateFrom-DateTo (max 31 days diff between them)<br>4) Year and month","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeadsBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of leads","security":[{"ApiKeyAuth":[]}],"operationId":"lead-list","description":"Get list of leads\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Leads"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/owner-list":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OwnersBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of owners","security":[{"ApiKeyAuth":[]}],"operationId":"owner-list","description":"Get list of owners\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Owners"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/owner-lead-list":{"post":{"requestBody":{"required":true,"description":"Priority filter:<br>1) LeadEmail<br>2) Data updates (true: updates; false: other filters)<br>3) DateFrom-DateTo (max 31 days diff between them)<br>4) Year and month","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OwnerLeadsBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of owner leads","security":[{"ApiKeyAuth":[]}],"operationId":"owner-lead-list","description":"Get list of leads\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OwnerLeads"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/property-list":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertiesBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of properties","security":[{"ApiKeyAuth":[]}],"operationId":"property-list","description":"Get list of leads\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Properties"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/booking-list":{"post":{"requestBody":{"required":true,"description":"Priority filter:<br>1) bookingID<br>2) Data updates (true: updates; false: other filters)<br>3) DateFrom-DateTo [HourFrom-HourTo] (max 31 days diff between them)<br>4) Year and month<br>5) Completed (true: confirmed/cancelled; false: not_completed)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingsBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of bookings","security":[{"ApiKeyAuth":[]}],"operationId":"booking-list","description":"Get list of bookings\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Bookings"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/booking-guest-list":{"post":{"requestBody":{"required":true,"description":"Priority filter:<br>1) bookingID<br>2) Data updates (true: updates; false: other filters)<br>3) bookingGuestEmail<br>4) DateFrom-DateTo (max 31 days diff between them)<br>5) Year and month","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingGuestsBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of booking guests","security":[{"ApiKeyAuth":[]}],"operationId":"booking-guest-list","description":"Get list of booking guests\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BookingGuests"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/review-list":{"post":{"requestBody":{"required":true,"description":"Priority filter:<br>1) bookingID<br>2) propertyID<br>3) Data updates (true: updates; false: other filters)<br>4) DateFrom-DateTo (max 31 days diff between them)<br>5) Year and month","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReviewsBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of reviews","security":[{"ApiKeyAuth":[]}],"operationId":"review-list","description":"Get list of reviews\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Reviews"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/coupon-list":{"get":{"tags":["API Endpoints"],"summary":"List of coupons","security":[{"ApiKeyAuth":[]}],"operationId":"coupon-list","description":"Get list of coupons\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Coupons"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/reward-list":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RewardsBodyPost"}}}},"tags":["API Endpoints"],"summary":"List of rewards","security":[{"ApiKeyAuth":[]}],"operationId":"reward-list","description":"Get list of rewards\n","responses":{"200":{"description":"Response was received and processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rewards"}}}}},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}},"/account/data":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountDataBodyPost"}}}},"tags":["API Endpoints"],"summary":"Update account data","security":[{"ApiKeyAuth":[]}],"operationId":"account-data","description":"Set account adata\n","responses":{"200":{"description":"Response was received and processed"},"401":{"description":"Invalid integration API key value"},"404":{"description":"Not Found"}}}}},"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"CustomersBodyPost":{"type":"object","required":["year","month","dateFrom","dateTo","dataUpdates"],"properties":{"year":{"type":"integer","description":"Year to get customer data by registration data"},"month":{"type":"integer","description":"Month to get customer data by registration data"},"dateFrom":{"type":"string","description":"Date from to get customer data by registration data [MM/dd/yyyy]"},"dateTo":{"type":"string","description":"Date to to get customer data by registration data [MM/dd/yyyy]"},"customerEmail":{"type":"string","description":"Get customer data by email"},"dataUpdates":{"type":"boolean","description":"Get only customer updates"}}},"Customers":{"type":"object","required":["customerEmail","customerName","customerSurname","customerPhone","customerSex","customerBirthdate","customerNation","customerLanguage","customerReasonStay","customerTypeGuest","customerRegistrationDate","dateLastUpdate","customerSendNotificationApproved"],"properties":{"customerEmail":{"type":"string","description":"Customer email"},"customerName":{"type":"string","description":"Customer name"},"customerSurname":{"type":"string","description":"Customer surname"},"customerPhone":{"type":"string","description":"Customer phone"},"customerSex":{"type":"string","description":"Customer sex: ['M': 'Mascle', 'F': 'Female']"},"customerNation":{"type":"string","description":"Customer country"},"customerLanguage":{"type":"string","description":"Customer language: ['en': 'English', 'es': 'Spanish', 'fr': 'French', 'it': 'Italian', 'de': 'Deutch', 'nl': 'Dutch', 'ru': 'Russian', 'zh': 'Chinese', 'ar': 'Arabic']"},"customerReasonStay":{"type":"string","description":"Customer reason stay: ['Leisure', 'Business', etc.]"},"customerTypeGuest":{"type":"string","description":"Customer type guest: ['Families', 'Couples', etc.]"},"customerRegistrationDate":{"type":"string","description":"Customer date of registration [yyyy-MM-dd]"},"dateLastUpdate":{"type":"string","description":"Customer last update [yyyyMMddHHmmss.fff]"},"customerSendNotificationApproved":{"type":"boolean","description":"Customer allow or not notificacions: ['true': 'Allow', 'false': 'Not allow']"}}},"LeadsBodyPost":{"type":"object","required":["leadEmail","year","month","dateFrom","dateTo","dataUpdates"],"properties":{"year":{"type":"integer","description":"Year to get lead data by registration data"},"month":{"type":"integer","description":"Month to get lead data by registration data"},"dateFrom":{"type":"string","description":"Date from to get lead data by registration data [MM/dd/yyyy]"},"dateTo":{"type":"string","description":"Date to to get lead data by registration data [MM/dd/yyyy]"},"leadEmail":{"type":"string","description":"Get lead data by email"},"dataUpdates":{"type":"boolean","description":"Get only lead updates"}}},"Leads":{"type":"object","required":["leadEmail","leadName","leadLanguage","leadRegistrationDate","dateLastUpdate","leadSendNotificationApproved"],"properties":{"leadEmail":{"type":"string","description":"Lead email"},"leadName":{"type":"string","description":"Lead name"},"leadSurname":{"type":"string","description":"Lead surname"},"leadSource":{"type":"string","description":"Lead source ['newsletter', 'short-term', etc.]"},"leadLanguage":{"type":"string","description":"Lead language: ['en': 'English', 'es': 'Spanish', 'fr': 'French', 'it': 'Italian', 'de': 'Deutch', 'nl': 'Dutch', 'ru': 'Russian', 'zh': 'Chinese', 'ar': 'Arabic']"},"leadRegistrationDate":{"type":"string","description":"Lead date of registration [yyyy-MM-dd]"},"dateLastUpdate":{"type":"string","description":"Lead last update [yyyyMMddHHmmss.fff]"},"leadSendNotificationApproved":{"type":"boolean","description":"Lead allow or not notificacions: ['true': 'Allow', 'false': 'Not allow']"}}},"OwnersBodyPost":{"type":"object","properties":{"ownerID":{"type":"string","description":"Get owner data by ID"}}},"Owners":{"type":"object","required":["ownerID","ownerCompany","ownerEmail","ownerName","ownerSurname","ownerPhone","ownerType","ownerMaintenanceAB","ownerRegistrationDate"],"properties":{"ownerID":{"type":"string","description":"Owner ID"},"ownerCompany":{"type":"string","description":"Owner company"},"ownerEmail":{"type":"string","description":"Owner email"},"ownerName":{"type":"string","description":"Owner name"},"ownerSurname":{"type":"string","description":"Owner surname"},"ownerPhone":{"type":"string","description":"Owner phone"},"ownerType":{"type":"string","description":"Owner type: ['GI', 'CR']"},"ownerMaintenanceAB":{"type":"boolean","description":"Owner with AB maintenance"},"ownerRegistrationDate":{"type":"string","description":"Owner date of registration [yyyy-MM-dd]"}}},"OwnerLeadsBodyPost":{"type":"object","required":["leadEmail","year","month","dateFrom","dateTo","dataUpdates"],"properties":{"year":{"type":"integer","description":"Year to get lead data by registration data"},"month":{"type":"integer","description":"Month to get lead data by registration data"},"dateFrom":{"type":"string","description":"Date from to get lead data by registration data [MM/dd/yyyy]"},"dateTo":{"type":"string","description":"Date to to get lead data by registration data [MM/dd/yyyy]"},"leadEmail":{"type":"string","description":"Get lead data by email"},"dataUpdates":{"type":"boolean","description":"Get only lead updates"}}},"OwnerLeads":{"type":"object","required":["leadEmail","leadName","leadSurname","leadLanguage","leadPropertyAddress","leadPropertyLicense","leadRegistrationDate","leadSendNotificationApproved","dateLastUpdate"],"properties":{"leadEmail":{"type":"string","description":"Lead email"},"leadName":{"type":"string","description":"Lead name"},"leadSurname":{"type":"string","description":"Lead surname"},"leadLanguage":{"type":"string","description":"Lead language: ['en': 'English', 'es': 'Spanish', 'fr': 'French', 'it': 'Italian', 'de': 'Deutch', 'nl': 'Dutch', 'ru': 'Russian', 'zh': 'Chinese', 'ar': 'Arabic']"},"leadPropertyAddress":{"type":"string","description":"Lead property address"},"leadPropertyLicense":{"type":"boolean","description":"Lead property has license: ['true': 'Yes', 'false': 'No']"},"leadRegistrationDate":{"type":"string","description":"Lead date of registration [yyyy-MM-dd]"},"dateLastUpdate":{"type":"string","description":"Lead last update [yyyyMMddHHmmss.fff]"},"leadSendNotificationApproved":{"type":"boolean","description":"Lead allow or not notificacions: ['true': 'Allow', 'false': 'Not allow']"}}},"PropertiesBodyPost":{"type":"object","properties":{"propertyABListingID":{"type":"string","description":"Get property data by ID"}}},"Properties":{"type":"object","required":["ID","name","address","activated","district","city","country","CP","reviewCount","reviewScore","minStay","capacity","category","beds","bedrooms","bathrooms","type","buildingName","ownerID","touristLicense","amenities","restrictions","description","urlImage","urlWeb"],"properties":{"ID":{"type":"string","description":"Property ID"},"name":{"type":"string","description":"Property name"},"address":{"type":"string","description":"Property address"},"activated":{"type":"string","description":"Property published: ['YES', 'NO']"},"district":{"type":"string","description":"Property district"},"city":{"type":"string","description":"Property city"},"country":{"type":"string","description":"Property country"},"CP":{"type":"string","description":"Property Postal Code"},"reviewCount":{"type":"integer","description":"Property number of reviews"},"reviewScore":{"type":"integer","description":"Property score review"},"minStay":{"type":"integer","description":"Property minimum stay"},"capacity":{"type":"integer","description":"Property capacity"},"category":{"type":"string","description":"Property category: ['Basic', 'Comfort', 'Premium', 'Luxury']"},"beds":{"type":"integer","description":"Property beds"},"bedrooms":{"type":"integer","description":"Property bedrooms"},"bathrooms":{"type":"number","description":"Property bathrooms"},"type":{"type":"string","description":"Property type: ['Short term', 'Mid/Long term']"},"buildingName":{"type":"string","description":"Property building"},"ownerID":{"type":"integer","description":"Owner ID"},"touristLicense":{"type":"boolean","description":"Property with tourist license"},"amenities":{"type":"array","items":{"type":"string","description":"Property amenities"}},"restrictions":{"type":"array","items":{"type":"string","description":"Property restrictions"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/PropertyDescription"}},"urlImage":{"type":"string","description":"Property image"},"urlWeb":{"type":"array","items":{"$ref":"#/components/schemas/PropertyURL"}}}},"PropertyDescription":{"type":"object","required":["language","descriptionTitle","descriptionDetail"],"properties":{"language":{"type":"string","description":"Property description language: ['en': 'English', 'es': 'Spanish', 'fr': 'French', 'it': 'Italian', 'de': 'Deutch', 'nl': 'Dutch', 'ru': 'Russian', 'zh': 'Chinese', 'ar': 'Arabic']"},"descriptionTitle":{"type":"string","description":"Property description title"},"descriptionDetail":{"type":"string","description":"Property description detail"}}},"PropertyURL":{"type":"object","required":["language","url"],"properties":{"language":{"type":"string","description":"Property url language: ['en': 'English', 'es': 'Spanish', 'fr': 'French', 'it': 'Italian', 'de': 'Deutch', 'nl': 'Dutch', 'ru': 'Russian', 'zh': 'Chinese', 'ar': 'Arabic']"},"url":{"type":"string","description":"Property url"}}},"BookingsBodyPost":{"type":"object","required":["year","month","dateFrom","dateTo","completed","dataUpdates"],"properties":{"year":{"type":"integer","description":"Get booking data by year/month"},"month":{"type":"integer","description":"Get booking data by year/month"},"dateFrom":{"type":"string","description":"Date from to get booking data [MM/dd/yyyy]"},"dateTo":{"type":"string","description":"Date to to get booking data [MM/dd/yyyy]"},"hourFrom":{"type":"string","description":"Hour to to get booking data [HH:mm]"},"hourTo":{"type":"string","description":"Hour to to get booking data [HH:mm]"},"completed":{"type":"boolean","description":"Get bookings completed (true) or not completed (false): ['true', 'false']"},"bookingID":{"type":"integer","description":"Get booking by ID"},"dataUpdates":{"type":"boolean","description":"Get only booking updates"}}},"Bookings":null},"type":"object","required":["bookingID","bookingDate","dateLastUpdate","bookingDateCheckin","bookingDateCheckout","bookingCheckinEntranceTime","bookingCheckinDepartureTime","bookingNumNights","bookingNumGuests","bookingNumAdults","bookingNumChildren","bookingNumBabies","bookingExtension","bookingSource","bookingAirbnbID","bookingStatus","bookingTotalRent","bookingRentalPrice","bookingDiscount","bookingGuestNetRent","bookingGuestRent","bookingCleaningFee","bookingTouristTax","bookingAgencyFee","bookingSupplies","bookingITP","propertyID","ownerID","bookingCustomerEmail","bookingCustomerName","bookingCustomerSurname","bookingCustomerPhone","bookingCustomerCountry","couponID","bookingRewardDate","bookingRewardUsed","bookingRewardPoints","bookingRewardID","bookintRewardBookings"],"properties":{"bookingID":{"type":"integer","description":"Booking ID"},"bookingDate":{"type":"string","description":"Booking date of creation [yyyy-MM-dd]"},"dateLastUpdate":{"type":"string","description":"Booking last update [yyyyMMddHHmmss.fff]"},"bookingDateCheckin":{"type":"string","description":"Booking date of check-in [yyyy-MM-dd]"},"bookingDateCheckout":{"type":"string","description":"Booking date of check-out [yyyy-MM-dd]"},"bookingCheckinEntranceTime":{"type":"string","description":"Booking time of check-in [HH:mm]"},"bookingCheckinDepartureTime":{"type":"string","description":"Booking time of check-out [HH:mm]"},"bookingNumNights":{"type":"integer","description":"Number of nights"},"bookingNumGuests":{"type":"integer","description":"Number of guests"},"bookingNumAdults":{"type":"integer","description":"Number of adults"},"bookingNumChildren":{"type":"integer","description":"Number of children"},"bookingNumBabies":{"type":"integer","description":"Number of babies"},"bookingExtension":{"type":"boolean","description":"Booking extension"},"bookingCheckinOnlineAllowed":{"type":"boolean","description":"Check-in online allowed"},"bookingCheckinOnlineCompleted":{"type":"boolean","description":"Check-in online completed"},"bookingCheckinOnlineGuests":{"type":"boolean","description":"Check-in online guests completed"},"bookingCheckinOnlinePayments":{"type":"boolean","description":"Check-in online payments completed"},"bookingURL":{"type":"string","description":"Booking URL"},"bookingSource":{"type":"string","description":"Booking source"},"bookingAirbnbID":{"type":"string","description":"Airbnb booking ID"},"bookingStatus":{"type":"string","description":"Booking status"},"bookingCXL":{"type":"string","description":"Booking cancellation reason"},"bookingPreBookingReasonComments":{"type":"string","description":"Pre-booking reason comments"},"bookingEntry":{"type":"string","description":"Booking entry type"},"bookingContractSignaturitSignedNoCheckinOnline":{"type":"boolean","description":"Contract signed via Signaturit without online check-in"},"bookingTemporality":{"type":"boolean","description":"Booking temporality"},"bookingSolvency":{"type":"boolean","description":"Booking solvency"},"bookingBlock":{"type":"boolean","description":"Booking block"},"bookingPermit":{"type":"boolean","description":"Booking permit"},"bookingReasonStay":{"type":"string","description":"Reason for stay"},"bookingPreBookingPaymentPaid":{"type":"number","description":"Pre-booking payment paid"},"bookingTotalRent":{"type":"number","description":"Total rent"},"bookingRentalPrice":{"type":"number","description":"Rental price"},"bookingDiscount":{"type":"number","description":"Discount amount"},"bookingGuestNetRent":{"type":"number","description":"Guest net rent"},"bookingGuestRent":{"type":"number","description":"Guest rent"},"bookingCleaningFee":{"type":"number","description":"Cleaning fee"},"bookingTouristTax":{"type":"number","description":"Tourist tax"},"bookingAgencyFee":{"type":"number","description":"Agency fee"},"bookingSupplies":{"type":"number","description":"Supplies"},"bookingITP":{"type":"number","description":"ITP amount"},"bookingIBI":{"type":"number","description":"IBI amount"},"bookingIBIOK":{"type":"boolean","description":"IBI validated"},"bookingRentMIVAU":{"type":"string","description":"Rent MIVAU"},"propertyID":{"type":"integer","description":"Property ID"},"ownerID":{"type":"integer","description":"Owner ID"},"ownerName":{"type":"string","description":"Owner name"},"bookingCustomerEmail":{"type":"string","description":"Customer email"},"bookingCustomerName":{"type":"string","description":"Customer name"},"bookingCustomerSurname":{"type":"string","description":"Customer surname"},"bookingCustomerPhone":{"type":"string","description":"Customer phone"},"bookingCustomerCountry":{"type":"string","description":"Customer country"},"bookingCustomerPassportOK":{"type":"boolean","description":"Customer passport validated"},"couponID":{"type":"string","description":"Coupon ID"},"bookingRewardDate":{"type":"string","description":"Reward date [yyyy-MM-dd]"},"bookingRewardUsed":{"type":"boolean","description":"Reward used"},"bookingRewardPoints":{"type":"integer","description":"Reward points"},"bookingRewardID":{"type":"string","description":"Reward ID"},"bookintRewardBookings":{"type":"string","description":"Reward bookings"},"bookingTenantType":{"$ref":"#/components/schemas/dataTipoArrendatario"}}},"dataTipoArrendatario":{"type":"object","properties":{"Estudiante":{"type":"boolean"},"TrabajadorCuentaAjena":{"type":"boolean"},"Autonomo":{"type":"boolean"},"Empresa":{"type":"boolean"},"EstanciasVacacionales":{"type":"boolean"},"OtrosCasos":{"type":"boolean"},"BookingGuestsBodyPost":{"type":"object","required":["year","month","dateFrom","dateTo","dataUpdates"],"properties":{"year":{"type":"integer","description":"Get booking guest data by year"},"month":{"type":"integer","description":"Get booking guest data by year/month"},"dateFrom":{"type":"string","description":"Date from to get booking guest data [MM/dd/yyyy]"},"dateTo":{"type":"string","description":"Date to to get booking guest data [MM/dd/yyyy]"},"bookingGuestEmail":{"type":"string","description":"Get booking guest data by email"},"bookingID":{"type":"integer","description":"Get booking guests data by booking ID"},"dataUpdates":{"type":"boolean","description":"Get only booking guest updates"}}},"BookingGuests":{"type":"object","required":["bookingID","bookingGuestEmail","bookingGuestName","bookingGuestSurname","bookingGuestSex","bookingGuestBirthdate","bookingGuestNation","bookingGuestLanguage","bookingGuestReasonStay","bookingGuestTypeGuest","bookingGuestRegistrationDate","dateLastUpdate","bookingGuestSendNotificationApproved"],"properties":{"bookingID":{"type":"string","description":"Booking ID"},"bookingGuestEmail":{"type":"string","description":"Booking Guest email"},"bookingGuestName":{"type":"string","description":"Booking Guest name"},"bookingGuestSurname":{"type":"string","description":"Booking Guest surname"},"bookingGuestSex":{"type":"string","description":"Booking Guest sex: ['M': 'Mascle', 'F': 'Female']"},"bookingGuestBirthdate":{"type":"string","description":"Booking Guest date of birth [yyyy-MM-dd]"},"bookingGuestNation":{"type":"string","description":"Booking Guest country"},"bookingGuestLanguage":{"type":"string","description":"Booking Guest language: ['en': 'English', 'es': 'Spanish', 'fr': 'French', 'it': 'Italian', 'de': 'Deutch', 'nl': 'Dutch', 'ru': 'Russian', 'zh': 'Chinese', 'ar': 'Arabic']"},"bookingGuestReasonStay":{"type":"string","description":"Booking Guest reason stay: ['Leisure', 'Business', etc.]"},"bookingGuestTypeGuest":{"type":"string","description":"Booking Guest type: ['Families', 'Couples', etc.]"},"bookingGuestRegistrationDate":{"type":"string","description":"Booking Guest date of registration [yyyy-MM-dd]"},"dateLastUpdate":{"type":"string","description":"Customer last update [yyyyMMddHHmmss.fff]"},"bookingGuestSendNotificationApproved":{"type":"boolean","description":"Booking Guest allow or not notificacions: ['true': 'Allow', 'false': 'Not allow']"}}},"ReviewsBodyPost":{"type":"object","required":["year","month","dateFrom","dateTo","propertyID","bookingID","dateLastUpdate"],"properties":{"year":{"type":"integer","description":"Get review data by year"},"month":{"type":"integer","description":"Get review data by year/month"},"dateFrom":{"type":"string","description":"Date from to get review data [MM/dd/yyyy]"},"dateTo":{"type":"string","description":"Date to to get reviewt data [MM/dd/yyyy]"},"propertyID":{"type":"integer","description":"Get review data by property ID"},"bookingID":{"type":"integer","description":"Get review data by booking ID"},"dateLastUpdate":{"type":"string","description":"Lead last update [yyyyMMddHHmmss.fff]"}}},"Reviews":{"type":"object","required":["reviewID","reviewSource","reviewDate","reviewBookingID","reviewTranslated","reviewCustomerEmail","reviewCustomerName","reviewCustomerSurname","reviewPublished","reviewOwnerActivated","reviewABCommentPositive","reviewABCommentNegative","reviewABResponse","reviewABCommentPositive_es","reviewABCommentNegative_es","reviewABResponse_es","reviewABScoreCustomerCleaning","reviewABScoreCustomerComfort","reviewABScoreCustomerLocation","reviewABScoreCustomerValueMoney","reviewABScoreCustomerAverage","reviewAirbnbCommentPublicAB","reviewAirbnbCommentPrivate","reviewAirbnbResponseAB","reviewAirbnbCommentPublicAB_es","reviewAirbnbCommentPrivate_es","reviewAirbnbResponseAB_es","reviewAirbnbRatingOverall","reviewAirbnbRatingAccuracy","reviewAirbnbRatingCleanliness","reviewAirbnbRatingCheckin","reviewAirbnbRatingCommunication","reviewAirbnbRatingLocation","reviewAirbnbRatingValue","propertyABListingID","dateLastUpdate"],"properties":{"reviewID":{"type":"string","description":"Review ID"},"reviewSource":{"type":"string","description":"Review source: ['AB', 'Airbnb']"},"reviewDate":{"type":"string","description":"Review date [yyyy-MM-dd]"},"reviewBookingID":{"type":"string","description":"Review booking ID"},"reviewTranslated":{"type":"boolean","description":"Review in spanish is translated by Google Translate (true) or not (false) [ 'true', 'false']"},"reviewCustomerEmail":{"type":"string","description":"Review customer email"},"reviewCustomerName":{"type":"string","description":"Review customer name"},"reviewCustomerSurname":{"type":"string","description":"Review customer surname"},"reviewPublished":{"type":"boolean","description":"Review published in web AB (true) or not (false) ['true', 'false']"},"reviewOwnerActivated":{"type":"boolean","description":"Review activated to owner (true) or not (false) ['true', 'false']"},"reviewABCommentPositive":{"type":"string","description":"Review comment AB positive"},"reviewABCommentNegative":{"type":"string","description":"Review comment AB negative"},"reviewABResponse":{"type":"string","description":"Review response"},"reviewABCommentPositive_es":{"type":"string","description":"Review comment AB positive (spanish)"},"reviewABCommentNegative_es":{"type":"string","description":"Review comment AB negative (spanish)"},"reviewABResponse_es":{"type":"string","description":"Review response (spanish)"},"reviewABScoreCustomerCleaning":{"type":"integer","description":"Review AB score cleaning"},"reviewABScoreCustomerComfort":{"type":"integer","description":"Review AB score comfort"},"reviewABScoreCustomerLocation":{"type":"integer","description":"Review AB score location"},"reviewABScoreCustomerValueMoney":{"type":"integer","description":"Review AB score value of money"},"reviewABScoreCustomerAverage":{"type":"number","description":"Review AB score average"},"reviewAirbnbCommentPublicAB":{"type":"string","description":"Review comment Airbnb public by AB"},"reviewAirbnbCommentPrivate":{"type":"string","description":"Review comment Airbnb private"},"reviewAirbnbResponseAB":{"type":"string","description":"Review response Airbnb by AB"},"reviewAirbnbCommentPublicAB_es":{"type":"string","description":"Review comment Airbnb public by AB (spanish)"},"reviewAirbnbCommentPrivate_es":{"type":"string","description":"Review comment Airbnb private (spanish)"},"reviewAirbnbResponseAB_es":{"type":"string","description":"Review response Airbnb by AB (spanish)"},"reviewAirbnbRatingOverall":{"type":"integer","description":"Review Airbnb score overall"},"reviewAirbnbRatingAccuracy":{"type":"integer","description":"Review Airbnb score accuracy"},"reviewAirbnbRatingCleanliness":{"type":"integer","description":"Review Airbnb score cleanliness"},"reviewAirbnbRatingCheckin":{"type":"integer","description":"Review Airbnb score checkin"},"reviewAirbnbRatingCommunication":{"type":"integer","description":"Review Airbnb score communication"},"reviewAirbnbRatingLocation":{"type":"integer","description":"Review Airbnb score location"},"reviewAirbnbRatingValue":{"type":"integer","description":"Review Airbnb score value"},"propertyABListingID":{"type":"integer","description":"Review AB property ID"},"dateLastUpdate":{"type":"string","description":"Customer last update [yyyyMMddHHmmss.fff]"}}},"Coupons":{"type":"object","required":["couponID","couponName","couponDiscountPercent","couponDiscountAmount","couponDateInitial","couponDateFinal","couponDateBookingInitial","couponDateBookingFinal","couponMinStay","couponMaxStay","couponApply","customerGI","customerCR"],"properties":{"couponID":{"type":"string","description":"Coupon ID"},"couponName":{"type":"string","description":"Coupon name"},"couponDiscountPercent":{"type":"number","description":"Coupon percent discount"},"couponDiscountAmount":{"type":"number","description":"Coupon amount discount"},"couponDateInitial":{"type":"string","description":"Coupon date limit initial validation [yyyy-MM-dd]"},"couponDateFinal":{"type":"string","description":"Coupon date limit final validation [yyyy-MM-dd]"},"couponDateBookingInitial":{"type":"string","description":"Coupon date limit initial booking validation [yyyy-MM-dd]"},"couponDateBookingFinal":{"type":"string","description":"Coupon date limit final booking validation [yyyy-MM-dd]"},"couponMinStay":{"type":"integer","description":"Coupon minimum stay"},"couponMaxStay":{"type":"integer","description":"Coupon maximum stay"},"couponApply":{"type":"string","description":"Coupon apply type ['Payable now', 'Total']"},"customerGI":{"type":"boolean","description":"Coupon valid for GI (true) or not (false)"},"customerCR":{"type":"boolean","description":"Coupon valid for CR (true) or not (false)"}}},"RewardsBodyPost":{"type":"object","properties":{"customerEmail":{"type":"string","description":"Get reward data by customer email"}}},"Rewards":{"type":"object","required":["rewardID","rewardDateCreation","rewardDateUsed","rewardCustomerEmail","rewardPointsUsed","rewardBookings"],"properties":{"rewardID":{"type":"string","description":"Reward ID"},"rewardDateCreation":{"type":"string","description":"Reward date creation [yyyy-MM-dd]"},"rewardDateUsed":{"type":"number","description":"Reward date used [yyyy-MM-dd]"},"rewardCustomerEmail":{"type":"string","description":"Reward customer email"},"rewardPointsUsed":{"type":"integer","description":"Reward points used"},"rewardBookings":{"type":"string","description":"Reward bookings used"}}},"AccountDataBodyPost":{"type":"object","required":["accountEmail","accountSubscription"],"properties":{"accountEmail":{"type":"string","description":"Account email"},"accountSubscription":{"type":"boolean","description":"Account subscription [true: YES, false: NO]"}}}}}}